# Interface StyleDefaults

#### Hierarchy

- StyleDefaults

#####
Index

### Properties

animationDuration
cellDefaults
columnLabelStyle
columnsTitleStyle
hoverBehaviorDelay
nodeDefaults
rowLabelStyle
rowsTitleStyle

## Properties

### animationDuration

animationDuration: number

The duration of the animations in milliseconds.

### cellDefaults

cellDefaults: StyleDefaultsCellDefaults

An object defining the style defaults for cells.

### columnLabelStyle

columnLabelStyle: object

The CSS style object defining the style of the column labels.

### columnsTitleStyle

columnsTitleStyle: object

The CSS style object defining the style of the columns title.

### hoverBehaviorDelay

hoverBehaviorDelay: number

Specifies initial hover delay in milliseconds for highlighting data items.

### nodeDefaults

nodeDefaults: StyleDefaultsNodeDefaults

An object defining the style defaults for nodes.

### rowLabelStyle

rowLabelStyle: object

The CSS style object defining the style of the row labels.

### rowsTitleStyle

rowsTitleStyle: object

The CSS style object defining the style of the rows title.

Generated using TypeDoc